summaryrefslogtreecommitdiffstats
path: root/mod_authnz_external
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2018-11-02 23:08:37 +0000
committer Eric Hameleers <alien@slackware.com>2018-11-02 23:08:37 +0000
commita3736891e3a83ad916adaf66a4742a0ef925bff9 (patch)
treeced209cfeab8666da57d75be92f51e2c9e4721c4 /mod_authnz_external
parent0a51634a8bce7218400f3782aaadb1196ea6d67f (diff)
downloadasb-a3736891e3a83ad916adaf66a4742a0ef925bff9.tar.gz
asb-a3736891e3a83ad916adaf66a4742a0ef925bff9.tar.xz
mod_authnz_external: updated to 3.3.2
Diffstat (limited to 'mod_authnz_external')
-rwxr-xr-xmod_authnz_external/build/mod_authnz_external.SlackBuild55
1 files changed, 25 insertions, 30 deletions
diff --git a/mod_authnz_external/build/mod_authnz_external.SlackBuild b/mod_authnz_external/build/mod_authnz_external.SlackBuild
index 574ac1e0..1f9e591c 100755
--- a/mod_authnz_external/build/mod_authnz_external.SlackBuild
+++ b/mod_authnz_external/build/mod_authnz_external.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
# $Id$
-# Copyright 2010, 2013 Eric Hameleers, Eindhoven, NL
+# Copyright 2010, 2013, 2018 Eric Hameleers, Eindhoven, NL
# All rights reserved.
#
# Permission to use, copy, modify, and distribute this software for
@@ -27,13 +27,15 @@
# By: Eric Hameleers <alien@slackware.com>
# For: mod_authnz_external
# Descr: Apache External Authentication Module
-# URL: http://code.google.com/p/mod-auth-external/
+# URL: https://github.com/phokz/mod-auth-external
# Needs:
# Changelog:
# 3.2.5-1: 12/Nov/2010 by Eric Hameleers <alien@slackware.com>
# * Initial build.
# 3.3.1-1: 15/oct/2013 by Eric Hameleers <alien@slackware.com>
# * Update (also with newer pwauth).
+# 3.3.2-1: 02/nov/2018 by Eric Hameleers <alien@slackware.com>
+# * Update.
#
# Run 'sh mod_authnz_external.SlackBuild' to build a Slackware package.
# The package (.tgz) and .txt file as well as build logs are created in /tmp .
@@ -44,7 +46,7 @@
# Set initial variables:
PRGNAM=mod_authnz_external
-VERSION=${VERSION:-3.3.1}
+VERSION=${VERSION:-3.3.2}
PWAUTH=${PWAUTH:-2.3.10}
BUILD=${BUILD:-1}
TAG=${TAG:-alien}
@@ -64,30 +66,28 @@ PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
SOURCE[0]="$SRCDIR/${PRGNAM}-${VERSION}.tar.gz"
-SRCURL[0]="http://mod-auth-external.googlecode.com/files/${PRGNAM}-${VERSION}.tar.gz"
+SRCURL[0]="https://storage.googleapis.com/google-code-archive-downloads/v2/code.google.com/mod-auth-external/${PRGNAM}-${VERSION}.tar.gz"
SOURCE[1]="$SRCDIR/pwauth-${PWAUTH}.tar.gz"
-SRCURL[1]="http://pwauth.googlecode.com/files/pwauth-${PWAUTH}.tar.gz"
+SRCURL[1]="https://github.com/phokz/pwauth/archive/pwauth-${PWAUTH}.tar.gz"
##
## --- with a little luck, you won't have to edit below this point --- ##
##
# Automatically determine the architecture we're building on:
-MARCH=$( uname -m )
if [ -z "$ARCH" ]; then
- case "$MARCH" in
- i?86) export ARCH=i486 ;;
- armv7hl) export ARCH=$MARCH ;;
- armv6hl) export ARCH=$MARCH ;;
- arm*) export ARCH=arm ;;
+ case "$(uname -m)" in
+ i?86) ARCH=i586 ;;
+ arm*) readelf /usr/bin/file -A | egrep -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7hl ;;
# Unless $ARCH is already set, use uname -m for all other archs:
- *) export ARCH=$MARCH ;;
+ *) ARCH=$(uname -m) ;;
esac
+ export ARCH
fi
case "$ARCH" in
- i486) SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ i?86) SLKCFLAGS="-O2 -march=${ARCH} -mtune=i686"
SLKLDFLAGS=""; LIBDIRSUFFIX=""
;;
x86_64) SLKCFLAGS="-O2 -fPIC"
@@ -96,9 +96,6 @@ case "$ARCH" in
armv7hl) SLKCFLAGS="-O2 -march=armv7-a -mfpu=vfpv3-d16"
SLKLDFLAGS=""; LIBDIRSUFFIX=""
;;
- armv6hl) SLKCFLAGS="-O2 -march=armv6 -mfpu=vfp -mfloat-abi=hard"
- SLKLDFLAGS=""; LIBDIRSUFFIX=""
- ;;
*) SLKCFLAGS="-O2"
SLKLDFLAGS=""; LIBDIRSUFFIX=""
;;
@@ -127,19 +124,20 @@ rm -rf $OUTPUT/{configure,make,install,error,makepkg}-$PRGNAM.log
# Source file availability:
for (( i = 0; i < ${#SOURCE[*]}; i++ )) ; do
if ! [ -f ${SOURCE[$i]} ]; then
+ echo "Source '$(basename ${SOURCE[$i]})' not available yet..."
+ # Check if the $SRCDIR is writable at all - if not, download to $OUTPUT
+ [ -w "$SRCDIR" ] || SOURCE[$i]="$OUTPUT/$(basename ${SOURCE[$i]})"
+ if [ -f ${SOURCE[$i]} ]; then echo "Ah, found it!"; continue; fi
if ! [ "x${SRCURL[$i]}" == "x" ]; then
- # Check if the $SRCDIR is writable at all - if not, download to $OUTPUT
- [ -w "$SRCDIR" ] || SOURCE[$i]="$OUTPUT/$(basename ${SOURCE[$i]})"
- echo "Source '$(basename ${SOURCE[$i]})' not available yet..."
echo "Will download file to $(dirname $SOURCE[$i])"
- wget -nv -T 20 -O "${SOURCE[$i]}" "${SRCURL[$i]}" || true
+ wget --no-check-certificate -nv -T 20 -O "${SOURCE[$i]}" "${SRCURL[$i]}" || true
if [ $? -ne 0 -o ! -s "${SOURCE[$i]}" ]; then
- echo "Downloading '$(basename ${SOURCE[$i]})' failed.. aborting the build."
+ echo "Fail to download '$(basename ${SOURCE[$i]})'. Aborting the build."
mv -f "${SOURCE[$i]}" "${SOURCE[$i]}".FAIL
exit 1
fi
else
- echo "File '$(basename ${SOURCE[$i]})' not available.. aborting the build."
+ echo "File '$(basename ${SOURCE[$i]})' not available. Aborting the build."
exit 1
fi
fi
@@ -172,11 +170,11 @@ chmod -R u+w,go+r-w,a+X-s *
cd ${PRGNAM}-${VERSION}
-# A patch is required to compile against apache 2.4:
-if [ -n "$(/usr/sbin/apachectl -v | grep Apache/2.4)" ]; then
- cat $SRCDIR/mod_authnz_external_apache-2.4.patch | patch -p1 --verbose \
- 2>&1 | tee $OUTPUT/patch-%{PRGNAM}.log
-fi
+## A patch is required to compile 3.3.1 against apache 2.4:
+#if [ -n "$(/usr/sbin/apachectl -v | grep Apache/2.4)" ]; then
+# cat $SRCDIR/patches/mod_authnz_external_apache-2.4.patch | \
+# patch -p1 --verbose 2>&1 | tee $OUTPUT/patch-%{PRGNAM}.log
+#fi
echo Building ...
export LDFLAGS="$SLKLDFLAGS"
@@ -219,9 +217,6 @@ cd $OUTPUT
md5sum ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.${PKGTYPE:-tgz} > ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.${PKGTYPE:-tgz}.md5
cd -
cat $PKG/install/slack-desc | grep "^${PRGNAM}" > $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.txt
-if [ -f $PKG/install/slack-required ]; then
- cat $PKG/install/slack-required > $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.dep
-fi
# Restore the original umask:
umask ${_UMASK_}